defmodule Diffuser.GeneratorFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `Diffuser.Generator` context.
  """

  @doc """
  Generate a prompt_request.
  """
  def prompt_request_fixture(attrs \\ %{}) do
    {:ok, prompt_request} =
      attrs
      |> Enum.into(%{
        prompt: "some prompt"
      })
      |> Diffuser.Generator.create_prompt_request()

    prompt_request
  end
end
