defmodule Diffuser.Repo.Migrations.CreatePromptRequestResult do
  use Ecto.Migration

  def change do
    create table(:prompt_request_results, primary_key: false) do
      add :id, :uuid, primary_key: true, null: false
      add :image, :string
      add :prompt_request_id, references(:prompt_requests, type: :uuid)

      timestamps()
    end
  end
end
